---
layout: blog
title: How to deal with technical debt
segments:
  - blog
published: true
date: 2020-11-08T15:57:18.797Z
tags:
  - Development
notes: Dont forget the todos
---

Technical debt is a massive problem that costs a lot of time for everyone working on the team.
It should be part of the development cycle to eliminate it.
**Manage a secured time** in a development process to increase development experience.

By planning **regular tasks** like:

- Upgrading dependencies, gathering information about migrations, and creating tasks for those which require attention.
- Solving _action points_ discussed on retrospective.
- Finding and creating tasks for dealing with technical debt.

Assign a certain amount of story points for each sprint to those tasks which have been accumulated and prioritized.

> _Action points_ are tasks agreed upon on **retrospectives**. These are the _points_ which the team has agreed on. They should be solved in the upcoming sprint to make the developer experience better for the whole team.
